"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addWalletPass = addWalletPass;
exports.addWalletPassJWT = addWalletPassJWT;
exports.isSupported = isSupported;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'rn-google-wallet-pass' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- Google's wallet api is not supported in iOS devices \n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const RnGoogleWalletPass = _reactNative.Platform.OS !== 'android' ? {} : _reactNative.NativeModules.RnGoogleWalletPass ?? new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

async function isSupported() {
  return await RnGoogleWalletPass.isSupported();
}
/*
 * pass: stringified json of the pass object
 */


async function addWalletPass(pass) {
  return await RnGoogleWalletPass.addWalletPass(pass);
}
/*
 * passJWT: stringified JWT of the pass object
 */


async function addWalletPassJWT(passJWT) {
  return await RnGoogleWalletPass.addWalletPassJWT(passJWT);
}
//# sourceMappingURL=index.js.map